# Formula to interpolate depths for a Landsat TM2 image in DOP zone 2 (@1)
#
# A blank image (@2) receives the output of the formula
#
# The multiplication by 10 is to spread the output values (0-25 metres depth) across the
# 0-255 range of display values 

CONST A2 = 3.9872 ;
CONST k2 = 0.0963 ;
CONST L2deepmean = 13 ;

@2 = (A2 - ln(@1 - L2deepmean)) / (2 * K2) * 10 ;